# std::stack<T,Container>::top

From cppreference.com
< cpp‎ | container‎ | stack

reference top(); |  |
const_reference top() const; |  |

Returns reference to the top element in the stack. This is the most recently pushed element. This element will be removed on a call to pop(). Effectively calls c.back().

### Parameters

(none)

### Return value

Reference to the last element

### Complexity

Constant

### Example

Run this code

    #include <stack>
    #include <iostream>

    int main()
    {
        std::stack<int>   s;

        s.push( 2 );
        s.push( 6 );
        s.push( 51 );

        std::cout << s.size() << " elements on stack\n";
        std::cout << "Top element: "
    	      << s.top()         // Leaves element on stack
    	      << "\n";
        std::cout << s.size() << " elements on stack\n";
        s.pop();
        std::cout << s.size() << " elements on stack\n";
        std::cout << "Top element: " << s.top() << "\n";

        return 0;
    }

Output:

    3 elements on stack
    Top element: 51
    3 elements on stack
    2 elements on stack
    Top element: 6

### See also

push | inserts element at the top (public member function)
pop | removes the top element (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/stack/top&oldid=60970"